* { box-sizing: border-box; }
$duration: 30s;

@-webkit-keyframes ticker {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    visibility: visible;
  }

  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }
}

@keyframes ticker {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    visibility: visible;
  }

  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }
}

.ticker-wrap {
  
  position: fixed;
//  bottom: 0;
//  width: 100%;
//  overflow: hidden;
//  height: 4rem;
  background-color: rgba(#000, 0.9); 
//  padding-left: 100%;
//  box-sizing: content-box;

  .ticker {

    display: inline-block;
    height: 4rem;
    line-height: 4rem;  
    white-space: nowrap;
    padding-right: 100%;
    box-sizing: content-box;

    -webkit-animation-iteration-count: infinite; 
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
   -webkit-animation-name: ticker;
           animation-name: ticker;
    -webkit-animation-duration: $duration;
            animation-duration: $duration;

    &__item {

      display: inline-block;

      padding: 0 2rem;
      font-size: 2rem;
      color: white;   

    }

  }

}

html, body {
    max-width: 100%;
    overflow-x: hidden !important;
  
}
body { padding-bottom: 0rem; }
h1,h2,p {padding: 0 1%;}

 @media all and (min-width: 1405px) {
}
/*** Responsive Styles Standard Desktop Only ***/
@media all and (min-width: 1100px) and (max-width: 1405px) {

}
/*** Responsive Styles Tablet And Below ***/
@media all and (max-width: 980px) {
}
/*** Responsive Styles Tablet Only ***/
@media all and (min-width: 768px) and (max-width: 980px) {
                
}
/*** Responsive Styles Smartphone Only ***/
@media all and (max-width: 767px) {
}
/*** Responsive Styles Smartphone Portrait ***/
@media all and (max-width: 479px) {
                .card1 {
                height: 190px;
              } 
              .card img {
                height: 10em;
              }
              .card {
                font-size:11px;
              }
              .center {
                  margin: auto;
                  border: 3px;
                  padding: 10px;
                }
              .spacing{
                  padding-bottom:200px;
              }
}
    @media (max-width: 768px)
    {
            #registration {
                    text-align: center;
                    display: flex;
                    flex-direction: column;
                    flex-shrink: 3;
                    justify-content: center;
                    align-items: center;
            }
            .width {
                  width: 13rem;
                }
            }
    @media (max-width:  475px)
    {
            #parallax {
                    text-align: center;
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    align-items: center;
            }
    
            #parallax .parallax 
            {
                    display: flex;
                    flex-direction: column;
                    /*flex-wrap: wrap;*/
                    justify-content: center;
                    align-items: center;
                    margin-top: 20px;
                    margin-bottom: 20px;
            }
            .width {
                  width: 13rem;
                }
    
            /*about*/
    
           
    
            
            /*footer input 
            {
                    width: 200px;
            }*/
    }
    @media only screen and (max-width: 768px) {
      /* For mobile phones: */
      [class*="modal-"] {
        width: 100%;
      }
      .width {
                  width: 11rem;
                }
    }
    @media only screen and (max-width: 768px) {
      /* For mobile phones: */
      [class*="parallax-"] {
        width: 100%;
      }
      .width {
                  width: 11rem;
                }
    }
    
    body  #message-section {
      height: 30vw;
      padding: 0 2.5vw;
      overflow-y: auto; 
      scrollbar-width: thin;
      scrollbar-color: var(--thumbBG) var(--scrollbarBG);
    }
    
    body  #message-section::-webkit-scrollbar-track {
      background: var(--scrollbarBG);
    }
    body  #message-section::-webkit-scrollbar-thumb {
      background-color: var(--thumbBG);
      border-radius: 6px;
      border: 3px solid var(--scrollbarBG);
      display: none;
    }
    
    body  #message-section #bot,
    body  #message-section #user {
      position: relative;
      bottom: 0;
      min-height: 1.5vw;
      border: 0.15vw solid rgb(5, 113, 156);
      background-color: skyblue;
      border-radius: 0px 1.5vw 1.5vw 1.8vw;
      padding: 1vw;
      margin: 1.5vw 0;
    }
    
    body  #message-section #user {
      border: 1.5px solid rgb(81, 137, 182);
      border-radius: 1.5vw 0vw 1.5vw 1.8vw;
      background-color: rgb(4, 4, 131);
      float: right;
    }
      
    
    body  #message-section #user #user-response {
      color: white;
    }
    
    body  #message-section .message {
      color: rgb(4, 4, 131);
      
      clear: both;
      line-height: 1.2vw;
      font-size: 1.2vw;
      padding: 8px;
      position: relative;
      margin: 8px 0;
      max-width: 85%;
      word-wrap: break-word;
      z-index: 2;
    }
    /* The Modal (background) */
   .modal {
      display: none; /* Hidden by default */
      position: fixed; /* Stay in place */
      z-index: 1; /* Sit on top */
      padding-top: 100px; /* Location of the box */
      left: 0;
      top: 0;
      width: 100%; /* Full width */
      height: 100%; /* Full height */
      overflow: auto; /* Enable scroll if needed */
      background-color: rgb(0,0,0); /* Fallback color */
      background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    }
    /* The Close Button */
    .close {
      color: white;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }
    
    .close:hover,
    .close:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
    }
    /* Modal Content */
    .modal-content {
      position: relative;
      /*background-color: #fefefe;*/
      /*margin-right: -400px; */ 
      padding: 0;
      border: 1px solid #888;
      width: 80%;
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
      -webkit-animation-name: animatetop;
      -webkit-animation-duration: 0.4s;
      animation-name: animatetop;
      animation-duration: 0.4s
    }
    
    /* Add Animation */
    @-webkit-keyframes animatetop {
      from {top:-300px; opacity:0} 
      to {top:0; opacity:1}
    }
    
    @keyframes animatetop {
      from {top:-300px; opacity:0}
      to {top:0; opacity:1}
    }
    
    /* The Close Button */
    .close {
      color: white;
      float: right;
      font-size: 28px;
      font-weight: bold;
    }
    
    .close:hover,
    .close:focus {
      color: #000;
      text-decoration: none;
      cursor: pointer;
    }
    
    .modal-header {
      padding: 2px 16px;
      /*background-color: #fff;*/
      color: white;
    }
    
    .modal-body {padding: 2px 16px;}
    
    .modal-footer {
      padding: 2px 16px;
      background-color: #5cb85c;
      color: white;
    }
    .chatbot-container {
        width: 80px;
       
        
        margin: 0 auto;
        background-color: #f5f5f5;
        border: 1px solid #cccccc;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      }
    
    #chatbot {
        background-color: #f5f5f5;
        border: 1px solid #eef1f5;
        box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.1);
        border-radius: 4px;
      }
      
      #header {
        /*background-color: darkslategrey;*/
        background: linear-gradient(to bottom, #33ccff 0%, #b3b3ff 100%);
        color: #ffffff;
        padding: 20px;
        font-size: 1em;
        font-weight: bold;
      }
    
      message-container {
        /*background: #ffffff;*/
        width: 100%;
        display: flex;
        align-items: center;
      }
      
      
      #conversation {
        height: 500px;
        overflow-y: auto;
        padding: 20px;
        display: flex;
        flex-direction: column;
      }
    
      @keyframes message-fade-in {
        from {
          opacity: 0;
          transform: translateY(-20px);
        }
        to {
          opacity: 1;
          transform: translateY(0);
        }
      }
      
      .chatbot-message {
        display: flex;
        align-items: flex-start;
        position: relative;
        font-size: 16px;
        line-height: 20px;
        border-radius: 20px;
        word-wrap: break-word;
        white-space: pre-wrap;
        max-width: 100%;
        padding: 0 15px;
      }
    
      .user-message {
        justify-content: flex-end;
      }
    
    
    .chatbot-text {
        background-color: white;
        color: #333333;
        font-size: 1.1em;
        padding: 15px;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      }
      
      #input-form {
        display: flex;
        align-items: center;
        border-top: 1px solid #eef1f5;
      }
      
      #input {
        flex: 1;
        height: 60px;
        border: 1px solid #eef1f5;
        border-radius: 4px;
        padding: 0 10px;
        font-size: 14px;
        transition: border-color 0.3s;
        background: #ffffff;
        color: #333333;
        border: none;
      }
    
      .send-icon {
        margin-right: 10px;
        cursor: pointer;
      }
      
      #input:focus {
        border-color: #333333;
        outline: none;
      }
      
      #submit-button {
        background-color: transparent;
        border: none;
      }
    
      p[sentTime]:hover::after {    
        content: attr(sentTime);
        position: absolute;
        top: -3px;
        font-size: 14px;
        color: gray;
      }
    
      .chatbot p[sentTime]:hover::after {  
        left: 15px;
      }
    
      .user-message p[sentTime]:hover::after {  
        right: 15px;
      }
    
      /* width */
    ::-webkit-scrollbar {
        width: 10px;
      }
      
      /* Track */
      ::-webkit-scrollbar-track {
        background: #f1f1f1; 
      }
       
      /* Handle */
      ::-webkit-scrollbar-thumb {
        background: #888; 
      }
      
      /* Handle on hover */
      ::-webkit-scrollbar-thumb:hover {
        background: #555; 
      }
    .card {
      box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
      transition: 0.3s;
      width: 45%;
      background: #fff;
      border: 1px solid #ccc;
      margin-bottom: 50px;
      font-size:14px;
      height:293px;
    }
    
    .card:hover {
      box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    }
    
    .container {
      padding: 2px 16px;
    }
    .section-title {
        /*position: relative;*/
        /*display: inline-block;*/
        text-transform: uppercase;
    }
    
    .section-title::before {
        position: absolute;
        content: "";
        width: calc(100% + 80px);
        height: 2px;
        top: 4px;
        left: -40px;
        background: var(--primary);
        z-index: -1;
    }
    
    .section-title::after {
        position: absolute;
        content: "";
        width: calc(100% + 120px);
        height: 2px;
        bottom: 5px;
        left: -60px;
        background: var(--primary);
        z-index: -1;
    }
    
    .section-title.text-start::before {
        width: calc(100% + 40px);
        left: 0;
    }
    
    .section-title.text-start::after {
        width: calc(100% + 60px);
        left: 0;
    }
    .carousel {
      display: flex;
      overflow: hidden;
      /*width: 100%;*/
      /*height: 500px; */
      /* Adjust the height as needed */
    }
    
    .carousel-items {
      flex: 0 0 100%;
      transition: transform 0.1s ease;
      animation: zoomInOut 10s infinite alternate;
    }
    
    .carousel-items img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    
    @keyframes zoomInOut {
      0% {
        transform: scale(1);
      }
      50% {
        transform: scale(1.2);
      }
      100% {
        transform: scale(1);
      }
    }
    
    
    .text-yellow {
        color: #e5d15e;
    }
    .marquee-wrapper {
      display: flex;
    }
    
    marquee {
      flex: 1;
    }
    
    
    .blink {
        animation: blinker 1.5s linear infinite;
        color: red;
        font-family: sans-serif;
    }
    @keyframes blinker {
        50% {
            opacity: 0;
        }
    }
          
        .cards-wrapper {
          display: flex;
          justify-content: center;
        }
        .card img {
          max-width: 100%;
          max-height: 100%;
          
        }
        .card {
          margin: 0 0.5em;
          box-shadow: 2px 6px 8px 0 rgba(22, 22, 26, 0.18);
          border: none;
          border-radius: 0;
        }
        
        .carousel-inner {
          padding: 0em;
        }
        .carousel-control-prev,
        .carousel-control-next {
          background-color: #e1e1e1;
          width: 5vh;
          height: 5vh;
          border-radius: 50%;
          top: 50%;
          transform: translateY(-50%);
        }
        @media (min-width: 768px) {
          .card img {
            height: 11em;
          }
        }
        /*** Team ***/
    .team-item {
        position: relative;
        overflow: hidden;
    }
    
    .team-item .team-text {
        position: absolute;
        width: calc(100% - 45px);
        left: -100%;
        bottom: 45px;
        padding: 1.5rem;
        background: #FFFF;
        border-radius: 0 4px 4px 0;
        opacity: 0;
        transition: .5s;
    }
    
    .team-item:hover .team-text {
        left: 0;
        opacity: 1;
    }
    
    .team-item .team-social .btn {
        background: var(--light);
        color: var(--primary);
    }
    
    .team-item .team-social .btn:hover {
        background: var(--primary);
        color: var(--light);
    }
    
    .team-item .team-img .team-social {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .5s;
        z-index: 3;
        opacity: 0;
    }
    
    .team-item:hover .team-img .team-social {
        transition-delay: .3s;
        opacity: 1;
    }
    .back-to-top {
        position: fixed;
        display: none;
        right: 30px;
        bottom: 30px;
        z-index: 99;
    }
    
    h1,
    .h1,
    h2,
    .h2,
    .fw-bold {
        font-weight: 700 !important;
    }
    
    h3,
    .h3,
    h4,
    .h4,
    .fw-medium {
        font-weight: 600 !important;
    }
    
    h5,
    .h5,
    h6,
    .h6,
    .fw-semi-bold {
        font-weight: 500 !important;
    }
    .center {
      margin: auto;
      border: 3px;
      padding: 10px;
    }
    .margin {
           margin-bottom: 1em;
          } 
    .innerbox
    {
       height: 200px;
      width: 50%;
    }
    .desk .thumb, .desk .bg-white {
        border-radius: 15px;
    }
    .desk-name {
        display: block;
        margin-top: -12px;
        z-index: 99;
        position: relative;
        margin-bottom: 10px;
    }
    .desk-name .name {
        background: #35a0ff;
        padding: 5px 10px;
        color: #FFF !important;
        border-radius: 10px;
    }
    .desk .thumb, .desk .desk-details, .desk .desk-inner-details {
        display: block;
        z-index: 9;
        position: relative;
    }
    .line-bottom-centered {
        position: relative;
        margin: 10px 0 20px;
    }
    .rcorners {
      border-radius: 15px 15px 5px 5px;
    }
    .fullwidth {
        width: 100%;
    }
    .pt-10 {
        padding-top: 10px!important;
        padding-bottom: 10px!important;
    }
    .about_portion .about1__padding1 {
        background: #fff;
        /* border-bottom: 1px solid #F0C588; */
        padding: 0px;
    } 
    @media (min-width: 600px) and (max-width: 768px) {
  .body {
    background-color: #de3163;
    display: none;
  }
}
#testimonial
{
    /*background-color: #FFEAD6;*/
}

.testimonial-section
{
        width: 100%;
        padding: 0px 8%;    
}

.testimonials-section .section-header
{
        max-width: 700px;
        text-align: center;
        margin: 1px auto 20px;
}

.section-header h1
{
        position: relative;
        font-size: 35px;
        /*color: #E4572E;*/
}

.testimonials-container
{
        position: relative;
        margin-left:10px;
        margin:10px;
        margin-right:10px;
}

.testimonials-container .testimonial-card
{
        /*padding: 0px 20px;*/
}

.testimonial-card .test-card-body
{
        background: rgb(153, 204, 255);
        box-shadow: 2px 2px 20px rgba(0,0,0,0.12);
        /*padding: 20px;*/
}

.test-card-body .quote
{
        display: flex;
        align-items: center;
}

.test-card-body .quote i
{
        font-size: 15px;
        color: #510D0A;
        margin-right: 20px;
}

.test-card-body .quote h2
{
        font-size: 20px;
        color: #510D0A;
}

.test-card-body p
{
        margin: 10px 0px 10px;
        font-size: 10px;
        text-align: justify;
        line-height: 1.5;
        color: #000;
}

.test-card-body .ratings
{
        margin-top: 5px;
}

.test-card-body .ratings i
{
        font-size: 10px;
        color: #F5B400;
        cursor: pointer;
}


.testimonial-card .profile
{
        display: flex;
        align-items: center;
        margin-top: 25px;
}

.profile .profile-image
{
        width: 40px;
        height: 40px;
        border-radius: 50%;
        overflow: hidden;
        margin-right:15px;
}

.profile .profile-image img
{
        width: 100%;
        height: 100%;
        border-radius: 50%;
        object-fit: cover;
}

.profile .profile-desc
{
        display: flex;
        flex-direction: column;
}

.profile-desc span:nth-child(1)
{
        font-size: 15px;
        font-weight: bold;
        color: #510D0A;
}

.profile-desc span:nth-child(2)
{
        font-size: 10px;
        color: #000;
}

.owl-nav
{
        position: 
        solute;
        right: 20px;
        bottom: -10px;
}

.owl-nav button
{
        border-radius: 50% !important;
}

.owl-nav .owl-prev i, .owl-nav .owl-next i
{
        display: none;
       /* padding: 10px !important;
        border-radius: 50%;
        font-size: 18px !important;
        background-color: #510D0A !important;
        color: #FFEAD6;
        cursor: pointer;
        transition: 0.4s;*/
}

.owl-nav .owl-prev i:hover, .owl-nav .owl-next i:hover
{
        background-color: #E4572E !important;
        color: #000;
}

.owl-dots
{
        margin-top: 15px;
}

.owl-dots .owl-dot span
{
        background-color: #AAA !important;
        padding: 6px !important;
}

.owl-dot.active span
{
        background-color: #E4572E !important;
}
